Submit form
curl --request POST \
--url https://api.kajabi.com/v1/forms/{id}/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
}
}
}
'import requests
url = "https://api.kajabi.com/v1/forms/{id}/submit"
payload = { "data": {
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {
name: '<string>',
email: '<string>',
phone_number: '<string>',
business_number: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
address_city: '<string>',
address_state: '<string>',
address_country: '<string>',
address_zip: '<string>',
custom_1: '<string>',
custom_2: '<string>',
custom_3: '<string>'
}
}
})
};
fetch('https://api.kajabi.com/v1/forms/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"form": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Forms
Submit form
Submit a form
- The
nameandemailattributes are required. - The
emailattribute must be a valid and deliverable email address.
Example request body:
{
"data": {
"type": "form_submissions",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com"
}
}
}
Response will include the newly created form submission resource.
{
"data": {
"id": "313",
"type": "form_submissions",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com",
"address_line_1": null,
"address_line_2": null,
"address_city": null,
"address_country": null,
"address_state": null,
"address_zip": null,
"phone_number": null,
"business_number": null,
"mobile_phone_number": null
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
},
"form": {
"data": {
"id": "15",
"type": "forms"
}
}
}
}
}
Behaviors and side effects
- Checks for disposable emails
- Validates email deliverability
- Sends double opt-in email if needed
- Subscribes contact (with opt-in handling)
- Subscribes to SMS if applicable
- Adds tags to contact
- Grants offers if configured
- Subscribes to email sequences
- Delivers webhooks
- Triggers automations
POST
/
v1
/
forms
/
{id}
/
submit
Submit form
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I